## info-beamer 1.0~pre3+dfsg

=== Makefile ===
# See Copyright Notice in LICENSE.txt

RELEASE = 1.0pre3

VERSION = $(RELEASE).$(shell git rev-parse --short=6 HEAD)

ifdef DEBUG
CFLAGS ?= -ggdb -DDEBUG
else
CFLAGS ?= -O3 -DNDEBUG
endif

ifdef USE_LUAJIT
LUA_CFLAGS  ?= -I/usr/include/luajit-2.0
LUA_LDFLAGS ?= -lluajit-5.1
LUA_LUAC    ?= luac
CFLAGS      += -DUSE_LUAJIT=1
else
#################################################
# 
# If you have compile/link problems related to lua, try
# setting these variables while running make. For example:
#
# $ LUA_LDFLAGS=-llua make
#
#################################################
LUA_CFLAGS  ?= -I/usr/include/lua5.1
LUA_LDFLAGS ?= -L/usr/lib -llua5.1
LUA_LUAC    ?= luac
endif

CFLAGS  += -DVERSION='"$(VERSION)"'
CFLAGS  += $(LUA_CFLAGS) -I/usr/include/freetype2/ -I/usr/include/ffmpeg -std=c99 -Wall
LDFLAGS += $(LUA_LDFLAGS) -levent -lglfw -lGL -lGLU -lGLEW -lftgl -lIL -lILU -lavformat -lavcodec -lavutil -lswscale -lz 

prefix 		?= /usr/local
exec_prefix ?= $(prefix)
bindir 		?= $(exec_prefix)/bin

all: info-beamer

info-beamer: main.o image.o font.o video.o shader.o vnc.o framebuffer.o misc.o struct.o
	$(CC) -o $@ $^ $(LDFLAGS) 

main.o: main.c kernel.h userlib.h module_json.h

info-beamer.1: info-beamer.1.ronn
	ronn $< -r --pipe > $@

bin2c: bin2c.c
	$(CC) $^ -o $@

%.h: %.lua bin2c
	$(LUA_LUAC) -p $<
	./bin2c $* < $< > $@

doc:
	markdown_py -x toc -x tables -x codehilite doc/manual.md > doc/manual.html

install: info-beamer
	install -D -o root -g root -m 755 $< $(DESTDIR)$(bindir)/$<

clean:
	rm -f *.o info-beamer kernel.h userlib.h module_*.h bin2c *.compiled doc/manual.html info-beamer.1

.PHONY: clean doc install

## info-beamer 1.0~pre3

=== debian/changelog ===
info-beamer (1.0~pre3-1build1) xenial; urgency=medium

  * No change rebuild with the new glew soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Nov 2015 10:50:10 +0100

info-beamer (1.0~pre3-1) unstable; urgency=low

  * Initial release (Closes: #712087)

 -- Noël Köthe <noel@debian.org>  Fri, 16 Jan 2015 17:23:20 +0100

=== debian/control ===
Source: info-beamer
Section: misc
Priority: optional
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends: debhelper (>= 9), liblua5.1-dev, libevent-dev, libglfw-dev, libglew1.5-dev, libftgl-dev, libavcodec-dev, libswscale-dev, libavformat-dev, libdevil-dev, lua5.1, git
Standards-Version: 3.9.5
Homepage: https://info-beamer.com/opensource

Package: info-beamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive multimedia presentation framework
 info-beamer allows you to rapidly prototype interactive multimedia
 presentations using the Lua programming language. A directory (called
 a node) consists of resource files (images, videos, fonts or shaders)
 and a control script called node.lua.

## info-beamer 1.0~pre3%2Bdfsg

=== debian/changelog ===
info-beamer (1.0~pre3+dfsg-0.1build5) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:55:41 +0000

info-beamer (1.0~pre3+dfsg-0.1build4) disco; urgency=medium

  * No-change reubild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 18:15:19 -0500

info-beamer (1.0~pre3+dfsg-0.1build3) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:46:53 +0000

info-beamer (1.0~pre3+dfsg-0.1build2) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:43:42 +0000

info-beamer (1.0~pre3+dfsg-0.1build1) zesty; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 06 Nov 2016 14:49:40 -0500

info-beamer (1.0~pre3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove non-free silkscreen.ttf font. (Closes: #817778)
    - Also remove .git folder from upstream tarball which is likely to
      contain copy of the font.
  * Remove use of git from the build system.
    - It no longer works after the .git directory was removed.
  * Port to GLFW 3. (Closes: #826288)

 -- James Cowgill <jcowgill@debian.org>  Wed, 29 Jun 2016 01:46:17 +0100

info-beamer (1.0~pre3-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Cadhalpun ]
  * Fix build against ffmpeg 3.0. (Closes: #803826)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Mar 2016 22:31:09 +0100

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/info-beamer prefix=/usr install

## info-beamer 1.0~pre3+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: info-beamer
 Section: misc
 Priority: optional
-Maintainer: Noël Köthe <noel@debian.org>
-Build-Depends: debhelper (>= 9), liblua5.1-dev, libevent-dev, libglfw-dev, libglew1.5-dev, libftgl-dev, libavcodec-dev, libswscale-dev, libavformat-dev, libdevil-dev, lua5.1, git
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noël Köthe <noel@debian.org>
+Build-Depends: debhelper (>= 9), liblua5.1-dev, libevent-dev, libglfw3-dev, libglew1.5-dev, libftgl-dev, libavcodec-dev, libswscale-dev, libavformat-dev, libdevil-dev, lua5.1
 Standards-Version: 3.9.5
 Homepage: https://info-beamer.com/opensource
